package com.chinacreator.video.mapper;

import java.sql.SQLException;

import org.apache.ibatis.annotations.Param;
import org.springframework.cache.annotation.CacheConfig;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Component;


@Component
@CacheConfig(cacheNames = "dictionary")
public interface DictionaryDao {
	
	/**
	 * 获取字典表数据
	 * @param name
	 * @return
	 * @throws SQLException
	 */
	@Cacheable
	public String getValue(@Param("name")String name);
	
}
