package com.chinacreator.video.mapper;

import com.chinacreator.video.restful.bean.OrderInfo;
import com.chinacreator.video.restful.bean.OrderLog;
import com.chinacreator.video.restful.bean.PointShopOrderBean;
import org.apache.ibatis.annotations.Param;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Component;

import java.sql.SQLException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * 订购关系查询
 * @author
 * @date 20210826
 */
@Component
public interface QueryOderRelationDao {


	/**
	 * 根据USERID，CPID，SPID查找订购关系
	 * @param qrymap
	 * @return
	 */
	Map findByUserAndSpid(@Param("userid") String userid, @Param("cpid") String cpid, @Param("spid") String spid);

	String getSysTime();


}
