package com.chinacreator.video.mapper;


import org.apache.ibatis.annotations.Param;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 获取是否为联通号码
 * @author can.he
 * @date 20210427
 */
@Component
public interface UniMobileDao {

	/**
	 * 获取号码段信息
	 * @param callerhead
	 * @return
	 */
	@Cacheable("areainfo")
	public Map<String,String> getHmdInfo(@Param("callerhead") String callerhead);

	/**
	 * 获取携号专网信息
	 * @param userid
	 * @return
	 */
	public Map<String,String>  getXhzwInfo(@Param("userid") String userid);

}
