package com.chinacreator.video.mapper;

import com.chinacreator.video.restful.bean.OrderInfo;
import com.chinacreator.video.restful.bean.OrderLog;
import com.chinacreator.video.restful.bean.PointShopOrderBean;
import org.apache.ibatis.annotations.Param;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Component;

import java.sql.SQLException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * 手动领取开始时间
 * @author
 * @date 20210826
 */
@Component
public interface ActiveTimeDao {


	/**
	 * 手动领取有效期
	 * @param qrymap
	 * @return
	 */
	int isActiveTime(@Param("activetype")String activetype);


}
