package com.chinacreator.video.mapper;

import java.sql.SQLException;

import org.apache.ibatis.annotations.Param;
import org.springframework.cache.annotation.CacheConfig;
import org.springframework.cache.annotation.Cacheable;
import com.chinacreator.video.bean.AreaInfo;

@CacheConfig(cacheNames = "callerHeader")
public interface CallerHeadDao {
	/**
	 * 根据号段查询区域信息
	 * @param callerHead
	 * @return
	 * @throws SQLException
	 */
	@Cacheable
	public AreaInfo getAreaInfo(@Param("callerHead")String callerHead);
}
