package com.chinacreator.video.mapper;

import com.chinacreator.video.restful.bean.ChannelOrgBean;
import org.apache.ibatis.annotations.Param;
import org.springframework.cache.annotation.CacheConfig;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Component;

import com.chinacreator.video.bean.ChannelBean;

@Component
@CacheConfig(cacheNames = "channelBean")
public interface ChannelDao {

	@Cacheable
	ChannelBean queryChannel(@Param("id")String channel);


	 ChannelOrgBean findByChannelId(@Param("id") String id);
}
