package com.chinacreator.video.restful.dao;

import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Param;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Component;

/**
 * 自有短信订购
 * @author xu.zhou
 * @date 20220317
 */
@Component
public interface CbErrInfoQryDao {

	/**
	 * 根据SPID查找能力平台产品
	 * @param spid
	 * @return
	 */
	List<Map<String, String>> qryErrInfoByUserid(@Param("userid")String userid);
	
}
