package com.chinacreator.video.restful.dao;

import java.util.HashMap;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.cache.annotation.CacheConfig;
import org.springframework.cache.annotation.Cacheable;

/**
 * 手动送会员配置信息
 * @author xu.zhou
 * @date 20220223
 */
@CacheConfig(cacheNames = "univideo-vipjoinspidconf")
public interface VipJoinSpidDao {

	@Cacheable
	List<HashMap> getVipJoinSpidConf(@Param("spid") String spid);
}
