package com.chinacreator.video.util;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;
import org.springframework.core.env.Environment;

/**
 * 读取trafficOrder配置文件
 * @author xu.zhou
 * @date 20190717
 */
@Configuration
@PropertySource("classpath:trafficOrder.properties")
public class TrafficOrderProperties {
	
	//获取所有属性配置，使用env.getProperty("redis.keyprefix");获取指定的属性值
	@Autowired
    private Environment env;

	public Environment getEnv() {
		return env;
	}
}
